Package com.io7m.cardant.protocol.inventory.cb.internal

# Class CAUVComparisonsSet<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>

java.lang.Object
com.io7m.cardant.protocol.inventory.cb.internal.CAUVComparisonsSet<V,W>

Type Parameters:
  `V` - The type of model values
  `W` - The type of serialized values

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CAComparisonSetType<V>,CAI1ComparisonSet<W>>`

public final class CAUVComparisonsSet<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType> extends Object implements CAProtocolMessageValidatorType<CAComparisonSetType<V>,CAI1ComparisonSet<W>>
Set comparisons.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAUVComparisonsSet(CAProtocolMessageValidatorType<V,W> inValidator)`
  Set comparisons.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAComparisonSetType<V>`
  `convertFromWire(CAI1ComparisonSet<W> message)`
  Convert a wire message to a core message.
  `CAI1ComparisonSet<W>`
  `convertToWire(CAComparisonSetType<V> message)`
  Convert a core message to a wire message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAUVComparisonsSet

    public CAUVComparisonsSet(CAProtocolMessageValidatorType<V,W> inValidator)
    Set comparisons.
    Parameters:
      `inValidator` - A validator for values

- ## Method Details

  - ### convertToWire

    public CAI1ComparisonSet<W> convertToWire(CAComparisonSetType<V> message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
    Parameters:
      `message` - The core message
    Returns:
      The wire message
    Throws:
      `CAProtocolException` - On errors

  - ### convertFromWire

    public CAComparisonSetType<V> convertFromWire(CAI1ComparisonSet<W> message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `CAProtocolException` - On errors